<!DOCTYPE html>
<html>
  <head></head>
  <body>
    <input placeholder="Name" class="js-name"
      onkeydown="
        if (event.key === 'Enter') {
          displayMessage();
        }
      ">

    <button onclick="
      displayMessage();
    ">Submit</button>

    <p class="js-message"></p>

    <script>
      function displayMessage() {
        const inputElement = document.querySelector('.js-name');
        document.querySelector('.js-message')
          .innerHTML = `Your name is: ${inputElement.value}`;
      }
    </script>
  </body>
</html>